# Interface PromiseLike<T>

interface PromiseLike<T> {
then<TResult1, TResult2>(onfulfilled?, onrejected?): PromiseLike<TResult1 | TResult2>;
}

#### Type Parameters

- T

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1530

#####
Index

### Methods

then

## Methods

### then

- then<TResult1, TResult2>(onfulfilled?, onrejected?): PromiseLike<TResult1 | TResult2>

- Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type Parameters

  - TResult1 = T
  - TResult2 = never

  #### Parameters

  - `Optional` onfulfilled: null | ((value) => TResult1 | PromiseLike<TResult1>)

    The callback to execute when the Promise is resolved.

  - `Optional` onrejected: null | ((reason) => TResult2 | PromiseLike<TResult2>)

    The callback to execute when the Promise is rejected.

  #### Returns PromiseLike<TResult1 | TResult2>

  A Promise for the completion of which ever callback is executed.

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1537